////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Datacard Corporation.  All Rights Reserved.
////////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "lamination.H"
#include "commandLineOptions.h"

CommandLineOptions::CommandLineOptions()
{
    L1Action = LaminationActions::doesNotApply;
    L2Action = LaminationActions::doesNotApply;
    checkSupplies = false;
    jobCompletion = false;
}

bool CommandLineOptions::HasInvalidLaminatorCmdLineOption()
{
    if (LaminationActions::doesNotApply == L1Action &&
        LaminationActions::doesNotApply == L2Action) {
        return true;
    }

    if (LaminationActions::invalidAction == L1Action ||
        LaminationActions::invalidAction == L2Action) {
        return true;
    }

    return false;
}

void CommandLineOptions::Validate()
{
    if (printerName.IsEmpty()) {
        usage();
    }

    if (HasInvalidLaminatorCmdLineOption()) {
        usage();
    }
}